extends@: default

form:
  fields:
    tabs:
      type: tabs
      active: 1

      fields:
        content:
          type: tab

          #
          # Add your custom fields here.
          # These fields will be available in the page's Content tab
          # inside the Admin Panel.
          #
          fields:

            header.custom.header:
              name: header
              type: text
              label: Header
              
            header.custom.text:
              name: text
              type: text
              label: Text
              
            header.custom.backgroundimage:
              type: filepicker
              folder: 'user/data/images'
              label: Background Image
              preview_images: true
              accept:
                - .png
                - .jpg
                
            header.custom.topcomponentimage:
              type: filepicker
              folder: 'user/data/images'
              label: Top Component Image
              preview_images: true
              accept:
                - .png
                - .jpg
                
            header.custom.topcomponent:
              name: top_component
              type: pages
              start_route: '/products'
              label: Top Component
                
            header.custom.components:
              name: components
              type: list
              label: Components
              fields:
                .left:
                  name: left
                  type: pages
                  start_route: '/products'
                  label: Left Component
                .right:
                  name: right
                  type: pages
                  start_route: '/products'
                  label: Right Component 
                
            header.custom.news:
              name: news
              type: list
              label: News
              fields:
                .page:
                  name: page
                  start_route: '/news'
                  type: pages
                  label: News Blog Post
                
            header.custom.events:
              name: events
              type: list
              label: Calendar Events
              fields:
                .page:
                  name: page
                  type: pages
                  start_route: '/calendar'
                  label: Calendar Blog Post

            header.media_order:
              unset@: true
            content:
              unset@: true